Bug 115460 - Evolution doesn't create IMAP Folders correctly
Evolution doesn't create IMAP Folders correctly
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-12 13:44 EST by Michael McCabe
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-20 04:01:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael McCabe 2004-02-12 13:44:39 EST
Description of problem:
After creating a folder on an IMAP email server evolution displays a
message that it couldn't create the folder correctly.  However the
folder still shows up on the Evolution sidebar, even though you can't
put anything in it.  

Version-Release number of selected component (if applicable):
evolution-1.5.3-1

How reproducible:
Everytime

Steps to Reproduce:
1. Create a folder in evolution
2. Try to access it
3.
  
Actual results:
That a folder is created and it is accessible

Expected results:
An error message is displayed about the folder creation and the folder
shows up in the sidebar.

Additional info:
This is an upgrade of Evolution 1.4 settings that were imported
Comment 1 Michael McCabe 2004-02-12 13:48:25 EST
Now when I try to start Evolution it Segfaults.  Here's the terminal
output.  

(evolution:18284): GLib-CRITICAL **: file gstrfuncs.c: line 2129
(g_strsplit): assertion `string != NULL' failed
 
(evolution:18284): GLib-CRITICAL **: file gstrfuncs.c: line 2241
(g_strjoinv): assertion `str_array != NULL' failed
asked to activate component_id
`OAFIID:GNOME_Evolution_Addressbook_Component:1.5'
 
(evolution:18284): camel-WARNING **: Trying to add folder 'Fedora
Test' to summary that already has it
 
(gnome_segv2:18295): GLib-CRITICAL **: file gstrfuncs.c: line 2129
(g_strsplit): assertion `string != NULL' failed
 
(gnome_segv2:18295): GLib-CRITICAL **: file gstrfuncs.c: line 2241
(g_strjoinv): assertion `str_array != NULL' failed
Comment 2 Michael McCabe 2004-02-12 14:34:48 EST
The folders are accessible throught the sever's web based email
interface.  The server is IBM Inotes.
Comment 3 Noa Resare 2004-02-13 03:49:33 EST
This is reproducible with other imap servers as well. I have tested
with the dovecot-0.99.10-6 imap server on a Fedora Core 1 box.
Comment 4 Dave Malcolm 2004-09-21 15:03:02 EDT
I'm sorry that this bug has gone for so long without activity.

Are you still able to reproduce this bug?  If so, setting the
environment variable CAMEL_VERBOSE_DEBUG=1 before running evolution
may yield useful information (including the conversation with the IMAP
server).

Are you able to reproduce this bug with a more recent version of
evolution?  evolution-2.0.0 is now available in Rawhide
Comment 5 Noa Resare 2004-09-21 23:31:03 EDT
I can no longer reproduce this with evolution-1.5.94.1-1 from
development. 
Comment 6 Marius Andreiana 2005-08-20 04:01:55 EDT
Closing per comment #5

Note You need to log in before you can comment on or make changes to this bug.